<template>
  <div class="sw-gs-client-actions">
    <SwPluginSlot name="gs-client-actions-before"></SwPluginSlot>

    <SwButton class="sw-gs-go-to-guide-btn is-circle color-light"
              :title="$t('Go to guide')"
              @click="goToGuide">
      <SwGsIconJumpTo class="color-dark-secondary size-sm"/>
    </SwButton>

    <SwPluginSlot name="gs-client-actions-after"></SwPluginSlot>
  </div>
</template>

<script lang="ts">
  import SwPluginSlot from "sw-plugins/SwPluginSlot.vue"
  import SwButton from "@/components/atoms/SwButton.vue";
  import {useScrollToElement} from "../../logic/composables/useScrollToElement";
  import {SwGsIconJumpTo} from "../icons";

  export default {
    name: 'SwGsClientActions',
    components: {
      SwPluginSlot,
      SwButton,
      SwGsIconJumpTo
    },
    setup() {
      const {goToGuide} = useScrollToElement('');

      return {
        goToGuide
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "@/assets/scss/variables";

  .sw-gs-client-actions {
    margin-right: var(--spacer-xs);
  }
</style>
